Bug 49420 - No "openssl" man page
Summary: No "openssl" man page
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: openssl   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-19 13:36 UTC by Jonathan Kamens
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-09 22:43:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Kamens 2001-07-19 13:36:46 UTC
There's no man page for the "openssl" program in /usr/bin.

Comment 1 Jonathan Kamens 2001-07-19 13:37:54 UTC
I was wrong.  There is a man page, but it's in the wrong directory.  Apparently,
the man pages in openssl-0.9.6b-1 were incorrectly installed in
/usr/share/man/man*ssl instead of /usr/share/man/man*.  Doh!


Comment 2 Brian Brock 2001-07-20 15:21:11 UTC
rpm -q --changelog openssl reports:

* Mon Jun 18 2001 Nalin Dahyabhai <nalin@redhat.com>

- add a script for creating dummy certificates
- move man pages from %{_mandir}/man?/foo.?ssl to %{_mandir}/man?ssl/foo.?


I'm curious why the change was made, and whether a corresponding change should
be made to man (`man openssl` currently fails and prints "No manual entry for
openssl".  same for other pages in the man?ssl/ directories).

Comment 3 Nalin Dahyabhai 2001-08-08 19:36:34 UTC
The change was made to prevent overlaps between certain man pages (passwd.1
comes to mind -- if the openssl version is in the same directory, it's not
possible to select one over the other using the "man" command).

Comment 4 Curtis Doty 2001-08-10 00:31:31 UTC
So what is the fix for including these manpages? Using MANPATH or man -M would 
require you to put them somewhere like /usr/share/ssl/man/man?/foo.? instead, 
right?

Comment 5 Bill Nottingham 2003-01-09 22:43:05 UTC
This is fixed in the current packages.


Note You need to log in before you can comment on or make changes to this bug.